kind: ruleSet
metadata:
  name: case-management/v1/score-calculation
spec:
  nodes:
  - if: '!(wf.variables["scmCaseTitle"]== "Hello") '
    then:
      conditionAlias: Title
      rankAlias: High #friendly rank text 
      weight: 30 #number between 1-100
      rank: 7
  - if: 'wf.variables["scmCaseTitle"]== "Hello"'
    then:
      conditionAlias: Title
      rankAlias: High #friendly rank text 
      weight: 30 #number between 1-100
      rank: 56
  - if: 'wf.variables["scmCaseTitle"]== "Test"'
    then:
      conditionAlias: Title
      rankAlias: High #friendly rank text 
      weight: 59 #number between 1-10
      rank: 39
  - if: 'DateDiff("mi", Now(), wf.variables["scmCaseDueDate"]) < 59'
    then:
      conditionAlias: Time to SLA 
      rankAlias: Very close hurry up !! 
      weight: 33
      rank: 90